org.keycloak.common

## Enum Profile.Type

- java.lang.Object
- - java.lang.Enum<Profile.Type>
  - - org.keycloak.common.Profile.Type

- All Implemented Interfaces:
    Serializable, Comparable<Profile.Type>
  Enclosing class:
    Profile

      public static enum Profile.Type
      extends Enum<Profile.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT`
    `DEPRECATED`
    `DISABLED_BY_DEFAULT`
    `EXPERIMENTAL`
    `PREVIEW`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Profile.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Profile.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final Profile.Type DEFAULT

    - #### DISABLED_BY_DEFAULT

          public static final Profile.Type DISABLED_BY_DEFAULT

    - #### PREVIEW

          public static final Profile.Type PREVIEW

    - #### EXPERIMENTAL

          public static final Profile.Type EXPERIMENTAL

    - #### DEPRECATED

          public static final Profile.Type DEPRECATED

  - ### Method Detail

    - #### values

          public static Profile.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Profile.Type c : Profile.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Profile.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020 JBoss by Red Hat. All rights reserved.